Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.portlet
Enum StateEvent.Type

    java.lang.Object
      java.lang.Enum<StateEvent.Type>
          org.jboss.portal.portlet.StateEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StateEvent.Type>

Enclosing class:
  StateEvent

    public static enum StateEvent.Type

extends java.lang.Enum<StateEvent.Type>

Enum Constant Summary
`PORTLET_CLONED_EVENT`
`PORTLET_MODIFIED_EVENT`

Method Summary
`java.lang.String` | `toString()`
`static StateEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StateEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PORTLET_CLONED_EVENT

    public static final StateEvent.Type PORTLET_CLONED_EVENT

### PORTLET_MODIFIED_EVENT

    public static final StateEvent.Type PORTLET_MODIFIED_EVENT

Method Detail

### values

    public static final StateEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(StateEvent.Type c : StateEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static StateEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<StateEvent.Type>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.